#!/bin/sh
# This script selects the latest x-correlation output file
# and plots the diagonal of Glauber's second
# order correlation function G2(x,x',x',x).
#
# Author: Kaspar Sakmann (2007)
#
OUT_FILE=1d-G2x.GNU
OUT_PS=1d-G2x.ps

ls -tr *x-correlations.dat > TEMPFILE
LASTENTRY=`tail -1 TEMPFILE`
XFILES=${LASTENTRY}
rm TEMPFILE

# clean up before start 
rm -f ${OUT_FILE} ${OUT_PS}
echo these files are used for plotting: ${XFILES} 
echo "# File to plot the correlation functions"	> ${OUT_FILE}
echo "set terminal postscript col enhanced 16 " >> ${OUT_FILE} 
echo "set output \"${OUT_PS}\"	" 	>> ${OUT_FILE}
echo "set border 4095 lt -1 lw 1.000"	>> ${OUT_FILE}
echo "unset surface"			>> ${OUT_FILE}
echo "set style data pm3d"		>> ${OUT_FILE}
echo "set style function pm3d"		>> ${OUT_FILE}
echo "set ticslevel 0"			>> ${OUT_FILE}
echo "set xlabel \"x\"  ">> ${OUT_FILE}
echo "set output \"${OUT_PS}\"	" 	>> ${OUT_FILE}
echo "set xrange [ ] noreverse nowriteback	">> ${OUT_FILE}
echo "set ylabel \"x\'\"  	">> ${OUT_FILE}
echo "set yrange [ ] noreverse nowriteback	">> ${OUT_FILE}
echo "set size ratio -1			">> ${OUT_FILE}
echo "set pm3d at st			">> ${OUT_FILE}
echo "set view map"			>> ${OUT_FILE}

  echo "set title \"G^{(2)} (x,x',x',x|t) ">> ${OUT_FILE}
  echo "set cbrange[0:]">> ${OUT_FILE}
  echo "set zrange [0:] noreverse nowriteback		    ">> ${OUT_FILE}
for i in ${XFILES} ; 
  do
    echo "now plotting file: ",$i
    echo "splot [][] \"$i\" using (\$1):(\$4):(\$11) notitle  ">> ${OUT_FILE} 
  done

gnuplot ${OUT_FILE} 
gv ${OUT_PS}

